Describe All Consumer Groups
Describe all consumer groups.
This API describes all consumer groups for a given cluster, including their names, topics, partitions, assignments, and consumption lag.
Request
Section titled “Request”curl https://api.warpstream.com/api/v1/monitoring/describe_all_consumer_groups \-H 'warpstream-api-key: XXXXXXXXXX' \-H 'Content-Type: application/json' \-d '{"virtual_cluster_id": "vci_1d4930d7_8e6d_4ad9_b27a_654ed4aaa3ee"}'Response
Section titled “Response”{ "state": { "groups": [ { "name": "test_consumer_group", "state": "Stable", "members": [ { "id": "kgo-0", "group_instance_id": "", "client_id": "kgo", "client_host": "127.0.0.1", "assignment": { "assignments": [ { "topic_name": "test_topic", "partitions": [ 0, 1, 2, 3 ] } ] } } ], "topics": [ { "name": "test_topic", "partitions": [ { "member_id": "kgo-0", "partition": 0, "empty": true, "min_offset": -1, "max_offset": -1, "committed_offset": 0 }, { "member_id": "kgo-0", "partition": 1, "empty": true, "min_offset": -1, "max_offset": -1, "committed_offset": 0 }, { "member_id": "kgo-0", "partition": 2, "empty": false, "min_offset": 0, "max_offset": 88, "committed_offset": 85 }, { "member_id": "kgo-0", "partition": 3, "empty": true, "min_offset": -1, "max_offset": -1, "committed_offset": 0 } ] } ], "protocol": "cooperative-sticky" } ] }}